<template>
  <Transition name="grow">
    <div class="admin-panel" v-if="isAdmin">
      <div class="admin-buttons">
        <div v-wave class="btn" :class="{'btn-green': !isEditing, 'btn-red': isEditing}" @click="toggleEditing">{{!isEditing ? 'ערוך חומר' : 'הפסק עריכה'}}</div>
      </div>
      <Transition name="grow">
        <div class="plus-con" v-if="isEditing" >
          <div class="unit-plus-btn" data-tool="הוסף יחידה" @click="addUnit"></div>
        </div>
      </Transition>
    </div>
  </Transition>
</template>

<script>
export default {
  methods: {
    toggleEditing() {
      this.$store.state.isEditing = !this.isEditing
    },
    addUnit() {
      let text = prompt('הכנס שם יחידה')
      if (!text) return
      this.$store.dispatch('addUnit', text)
    }
  },
  computed: {
    isEditing() {
      return this.$store.state.isEditing
    },
    isAdmin() {
      return this.$store.state.user != null
    }
  }
}
</script>

<style>
.admin-panel {
  transform: translateY(1.5em);
  position: relative;
  height: 8em;
  font-size: 1.5em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: .5em;
}

.plus-con {
  display: flex;
  align-items: flex-end;
  height: 5em;
}

.unit-plus-btn {
  font-weight: normal;
  cursor: pointer;
  --size: 3em;
  height: var(--size);
  width: var(--size);
  background-image: url(../assets/plus.svg);
  background-size: cover;
}

</style>